Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractPickList

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectMany
                          org.richfaces.component.AbstractSelectManyComponent
                              org.richfaces.component.AbstractOrderingComponent
                                  org.richfaces.component.AbstractPickList

All Implemented Interfaces:
  EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIPickList

    public abstract class AbstractPickList

extends AbstractOrderingComponent

Author:
  Brian Leathem

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UISelectMany
`INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractPickList()`

Method Summary
`abstract String` | `getAddAllText()`
`abstract String` | `getAddText()`
`abstract String` | `getOnadditems()`
`abstract String` | `getOnremoveitems()`
`abstract String` | `getOnsourceblur()`
`abstract String` | `getOnsourceclick()`
`abstract String` | `getOnsourcedblclick()`
`abstract String` | `getOnsourcefocus()`
`abstract String` | `getOnsourcekeydown()`
`abstract String` | `getOnsourcekeypress()`
`abstract String` | `getOnsourcekeyup()`
`abstract String` | `getOnsourcemousedown()`
`abstract String` | `getOnsourcemousemove()`
`abstract String` | `getOnsourcemouseout()`
`abstract String` | `getOnsourcemouseover()`
`abstract String` | `getOnsourcemouseup()`
`abstract String` | `getOntargetblur()`
`abstract String` | `getOntargetclick()`
`abstract String` | `getOntargetdblclick()`
`abstract String` | `getOntargetfocus()`
`abstract String` | `getOntargetkeydown()`
`abstract String` | `getOntargetkeypress()`
`abstract String` | `getOntargetkeyup()`
`abstract String` | `getOntargetmousedown()`
`abstract String` | `getOntargetmousemove()`
`abstract String` | `getOntargetmouseout()`
`abstract String` | `getOntargetmouseover()`
`abstract String` | `getOntargetmouseup()`
`abstract String` | `getRemoveAllText()`
`abstract String` | `getRemoveText()`
`abstract String` | `getSourceCaption()`
`abstract String` | `getTargetCaption()`
`abstract boolean` | `isOrderable()`
`abstract boolean` | `isSwitchByClick()`
`abstract boolean` | `isSwitchByDblClick()`

Methods inherited from class org.richfaces.component.AbstractOrderingComponent
`compareValues, getDownBottomText, getDownText, getUpText, getUpTopText, isShowButton`

Methods inherited from class org.richfaces.component.AbstractSelectManyComponent
`columns, getActiveClass, getChangedClass, getColumnClasses, getDisabledClass, getHeaderClass, getItemClass, getListHeight, getListWidth, getMaxListHeight, getMinListHeight, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getSelectItemClass, getStyle, getStyleClass, getVar, isDisabled, validateValue`

Methods inherited from class javax.faces.component.UISelectMany
`getFamily, getSelectedValues, getValueBinding, getValueExpression, setSelectedValues, setValueBinding, setValueExpression`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractPickList

    public AbstractPickList()

Method Detail

### isOrderable

    public abstract boolean isOrderable()

### getSourceCaption

    public abstract String getSourceCaption()

### getTargetCaption

    public abstract String getTargetCaption()

### getAddAllText

    public abstract String getAddAllText()

### getAddText

    public abstract String getAddText()

### getRemoveText

    public abstract String getRemoveText()

### getRemoveAllText

    public abstract String getRemoveAllText()

### isSwitchByClick

    public abstract boolean isSwitchByClick()

### isSwitchByDblClick

    public abstract boolean isSwitchByDblClick()

### getOnsourceclick

    public abstract String getOnsourceclick()

### getOnsourcedblclick

    public abstract String getOnsourcedblclick()

### getOnsourcemousedown

    public abstract String getOnsourcemousedown()

### getOnsourcemouseup

    public abstract String getOnsourcemouseup()

### getOnsourcemouseover

    public abstract String getOnsourcemouseover()

### getOnsourcemousemove

    public abstract String getOnsourcemousemove()

### getOnsourcemouseout

    public abstract String getOnsourcemouseout()

### getOnsourcekeypress

    public abstract String getOnsourcekeypress()

### getOnsourcekeydown

    public abstract String getOnsourcekeydown()

### getOnsourcekeyup

    public abstract String getOnsourcekeyup()

### getOnsourcefocus

    public abstract String getOnsourcefocus()

### getOnsourceblur

    public abstract String getOnsourceblur()

### getOntargetclick

    public abstract String getOntargetclick()

### getOntargetdblclick

    public abstract String getOntargetdblclick()

### getOntargetmousedown

    public abstract String getOntargetmousedown()

### getOntargetmouseup

    public abstract String getOntargetmouseup()

### getOntargetmouseover

    public abstract String getOntargetmouseover()

### getOntargetmousemove

    public abstract String getOntargetmousemove()

### getOntargetmouseout

    public abstract String getOntargetmouseout()

### getOntargetkeypress

    public abstract String getOntargetkeypress()

### getOntargetkeydown

    public abstract String getOntargetkeydown()

### getOntargetkeyup

    public abstract String getOntargetkeyup()

### getOntargetfocus

    public abstract String getOntargetfocus()

### getOntargetblur

    public abstract String getOntargetblur()

### getOnadditems

    public abstract String getOnadditems()

### getOnremoveitems

    public abstract String getOnremoveitems()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.